#{extends 'borderNG.html' /}

<ol class="breadcrumb"  style="background-color: #d9534f !important;">
    <li><a href="@{BerandaCtr.index()}">Paket Non Tender PPK</a></li>
    <li><a href="@{kontrak.SppbjPlCtr.listSppbjPl(pl.lls_id)}">e-Kontrak</a></li>
    <li class="active">Form Surat Perjanjian</li>
</ol>

<div class="content">
    #{alert /}
    #{form @kontrak.SuratPerjanjianPlCtr.simpanSuratPerjanjianPl(sppbj.sppbj_id), name:'formPerjanjian', enctype:"multipart/form-data", method:'POST'}
    <div class="bs-callout bs-callout-info"><strong>Informasi Paket</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px">Kode Paket </td>
            <td>${pl?.lls_id}</td>
        </tr>
        <tr>
            <td  class="name">Nama Paket </td>
            <td >${pl?.paket?.pkt_nama}</td>
        </tr>
        <tr>
            <td class="name">Lingkup Pekerjaan<span class="error">*</span></td>
            <td class="#{validate 'kontrak.kontrak_lingkup_pekerjaan'/}">
                <textarea id="ruangLingkupPekerjaan" name="kontrak.kontrak_lingkup_pekerjaan" value="${kontrakx?.kontrak_lingkup_pekerjaan}" rows="5" cols="100" validate="required"
                          class="form-control trumbowyg">${flash.contains('kontrak.kontrak_lingkup_pekerjaan')?flash['kontrak.kontrak_lingkup_pekerjaan']:kontrakx?.kontrak_lingkup_pekerjaan}</textarea>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_lingkup_pekerjaan' /}</div>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Form Kontrak</strong></div>
    <table class="table table-sm">
        #{if kontrakx?.kontrak_id!=null}
        <input type="hidden" name="kontrak.kontrak_id"
               value="${flash.contains('kontrak.kontrak_id')?flash['kontrak.kontrak_id']:kontrakx?.kontrak_id}"
               class="form-control" />
        #{/if}
        <tr>
            <td width="250px">No. Surat Perjanjian<span class="error">*</span></td>
            <td>
                <input type="text" id="noKontrak" name="kontrak.kontrak_no"
                       value="${flash.contains('kontrak.kontrak_no')?flash['kontrak.kontrak_no']:kontrakx?.kontrak_no}"
                       class="form-control #{validate 'kontrak.kontrak_no'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_no' /}</div>
            </td>
        </tr>
        <tr>
            <td class="name">Tanggal Surat Perjanjian <span class="error">*</span></td>
            <td>
                <div class=" input-group date width-normal datepicker ">
                    <input name="kontrak.kontrak_tanggal"
                           value="${flash.contains('kontrak.kontrak_tanggal')?flash['kontrak.kontrak_tanggal']:kontrakx?.kontrak_tanggal?.toDatepicker()}"
                           type="text" class="form-control datepicker #{validate 'kontrak.kontrak_tanggal'/}"/>
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <div class="invalid-feedback">#{error 'kontrak.kontrak_tanggal' /}</div>
                </div>

            </td>
        </tr>
        <tr>
            <td width="250px">Kota Surat Perjanjian<span class="error">*</span></td>
            <td>
                <input type="text" id="kotaKontrak" name="kontrak.kontrak_kota"
                       value="${flash.contains('kontrak.kontrak_kota')?flash['kontrak.kontrak_kota']:kontrakx?.kontrak_kota}"
                       class="form-control #{validate 'kontrak.kontrak_kota'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_kota' /}</div>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Pihak Pertama</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px" class="name">Nama PPK </td>
            <td >
                ${ppk?.getPegawai().peg_nama.toUpperCase()}
            </td>
        </tr>
        <tr>
            <td class="name">NIP PPK </td>
            <td >
                ${ppk?.getPegawai().peg_nip}
            </td>
        </tr>
        *{<tr>
        <td class="name">Unit Kerja </td>
        <td>
            <input type="text"  name="unit_kerja_sk"
                   value="${flash.contains('ppk.ppk_unit_kerja_sk')?flash['ppk.ppk_unit_kerja_sk']:ppk?.ppk_unit_kerja_sk}"
                   class="form-control " />
        </td>
    </tr>}*
        <tr>
            <td class="name">Jabatan PPK <span class="error">*</span></td>
            <td>
                <input type="text" name="kontrak.jabatan_ppk_kontrak"
                       #{if null == kontrakx ||  kontrakx?.jabatan_ppk_kontrak==""}
                       value="${flash.contains('kontrak.jabatan_ppk_kontrak')?flash['kontrak.jabatan_ppk_kontrak']:sppbj?.jabatan_ppk_sppbj}"
                       #{/if} #{else}
                value="${flash.contains('kontrak.jabatan_ppk_kontrak')?flash['kontrak.jabatan_ppk_kontrak']:kontrakx?.jabatan_ppk_kontrak}"
                #{/else}
                class="form-control " />
            </td>
        </tr>
        <tr>
            <td class="name">No. SK PPK <span class="error">*</span></td>
            <td>${ppk?.getPegawai().peg_no_sk}</td>
        </tr>
        <tr>
            <td class="name">Nama Satuan Kerja </td>
            <td>${pl?.paket?.getNamaSatker()}
                ${satker?.stk_nama}</td>
        </tr>
        <tr>
            <td class="name">Alamat Satuan Kerja </td>
            <td>${sppbj?.alamat_satker}</td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Pihak Kedua</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px" class="name">Tipe Penyedia</td>
            <td>
                <select name="kontrak.kontrak_tipe_penyedia"
                        value="${flash.contains('kontrak.kontrak_tipe_penyedia')?flash['kontrak.kontrak_tipe_penyedia']:kontrakx?.kontrak_tipe_penyedia}"
                        style="width:260px;" id="penyedia" class="form-control penyedia">
                    <option value="Penyedia Perseorangan">Penyedia Perseorangan</option>
                    <option value="Penyedia Badan Usaha Non KSO"
                            #{if (flash.contains('kontrak.kontrak_tipe_penyedia')?flash['kontrak.kontrak_tipe_penyedia']:kontrakx?.kontrak_tipe_penyedia)=="Penyedia Badan Usaha Non KSO"}selected #{/if}>Penyedia Badan Usaha Non KSO</option>
                    <option value="Penyedia Kemitraan/KSO"
                            #{if (flash.contains('kontrak.kontrak_tipe_penyedia')?flash['kontrak.kontrak_tipe_penyedia']:kontrakx?.kontrak_tipe_penyedia)=="Penyedia Kemitraan/KSO"}selected #{/if} >Penyedia Kemitraan/KSO </option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="name">Nama Penyedia </td>
            <td><strong>${sppbj?.rekanan?.rkn_nama.toUpperCase()}</strong></td>
        </tr>
        <tr>
            <td class="name">Alamat Penyedia </td>
            <td><strong>${sppbj?.rekanan?.rkn_alamat}</strong></td>
        </tr>
        <tr class="nonkso">
            <td class="name">No. Akta Pendirian </td>
            <td><strong>${akta?.lhk_no}</strong></td>
        </tr>
        <tr class="nonkso">
            <td class="name">Tanggal Akta Pendirian </td>
            <td><strong>${akta?.lhk_tanggal?.formatDateInd()}</strong></td>
        </tr>
        <tr class="nonkso">
            <td class="name">Wakil Sah Penyedia <span class="error">*</span> </td>
            <td>
                <input type="text"  name="kontrak.kontrak_wakil_penyedia"
                       value="${flash.contains('kontrak.kontrak_wakil_penyedia')?flash['kontrak.kontrak_wakil_penyedia']:kontrakx?.kontrak_wakil_penyedia}"
                       class="form-control  #{validate 'kontrak.kontrak_wakil_penyedia'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_wakil_penyedia' /}</div>
            </td>
        </tr>
        <tr class="nonkso">
            <td class="name">Jabatan Wakil Penyedia <span class="error">*</span> </td>
            <td>
                <input type="text"  name="kontrak.kontrak_jabatan_wakil"
                       value="${flash.contains('kontrak.kontrak_jabatan_wakil')?flash['kontrak.kontrak_jabatan_wakil']:kontrakx?.kontrak_jabatan_wakil}"
                       class="form-control  #{validate 'kontrak.kontrak_jabatan_wakil'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_jabatan_wakil' /}</div>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Anggota KSO</td>
            <td>
                <input type="text" id="anggotaKso" name="kso.anggota_kso"
                       #{if kso?.anggota_kso!=null}
                       value="${flash.contains('kso.anggota_kso')?flash['kso.anggota_kso']:kso.anggota_kso}"
                       #{/if} #{else}
                value="${flash.contains('sppbj.rekanan.rkn_nama')?flash['sppbj.rekanan.rkn_nama']:sppbj?.rekanan?.rkn_nama}"
                #{/else}
                class="form-control  #{validate 'objPaketEContract.anggotaKso'/}" />
            </td>
        </tr>
        <tr class="kso">
            <td>Anggota KSO</td>
            <td >
                <table class="table table-sm" id="tblTemb">
                    <tbody>
                    #{list items:anggotakso, as:'akso'}
                    #{set i : akso_index - 1 /}
                    <tr>
                        <td>
                            <input type="text" name="kontrak.anggotakso[${i}].nama_anggota" id="nama[${i}]" value="${akso.nama_anggota}" class="form-control #{validate 'kontrak.anggotakso['+i+'].nama_anggota'/}" required>
                            <div class="invalid-feedback">#{error 'kontrak.anggotakso['+i+'].nama_anggota' /}</div>
                        </td>
                        <td><a href="#" class="removeBtn" title="hapus data">&nbsp;<i class="fa fa-trash-o fa-lg" title="Hapus File" style="margin-top:10px;"></i></a></td>
                    </tr>
                    #{/list}
                    </tbody>
                </table>
                <button type="button" class="btn btn-secondary " id="tambahTemb"><i class="fa fa-plus-circle"></i>
                    Tambah Anggota
                </button>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Perwakilan KSO</td>
            <td>
                <input type="text" id="wakilKso" name="kso.wakil_kso"
                       value="${flash.contains('kso.wakil_kso')?flash['kso.wakil_kso']:kso?.wakil_kso}"
                       class="form-control  #{validate 'objPaketEContract.wakilKso'/}"/>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Alamat Perwakilan KSO</td>
            <td>
                <input type="text" id="alamatKso" name="kso.alamat_kso"
                       value="${flash.contains('kso.alamat_kso')?flash['kso.alamat_kso']:kso?.alamat_kso}"
                       class="form-control  #{validate 'objPaketEContract.alamatKso'/}"/>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">No. Surat KSO</td>
            <td>
                <input type="text" id="noSuratKso" name="kso.no_kso"
                       value="${flash.contains('kso.no_kso')?flash['kso.no_kso']:kso?.no_kso}"
                       class="form-control  #{validate 'objPaketEContract.noSuratKso'/}" />
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Tanggal Surat KSO</td>
            <td>
                <div class=" input-group date width-normal datepicker">
                    <input name="tgl_kso"
                           value="${flash.contains('kso.tgl_surat_kso')?flash['kso.tgl_surat_kso']:kso?.tgl_surat_kso?.toDatepicker()}"
                           type="text" class="form-control datepicker" />
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                </div>

            </td>
        </tr>
        <tr>
            <td class="name">Nama Bank <span class="error">*</span></td>
            <td>
                <input type="text" name="kontrak.kontrak_nama_bank"
                       value="${flash.contains('kontrak.kontrak_nama_bank')?flash['kontrak.kontrak_nama_bank']:kontrakx?.kontrak_nama_bank}"
                       class="form-control  #{validate 'kontrak.kontrak_nama_bank'/}" />
                <div class="invalid-feedback">#{error 'kontrak.kontrak_nama_bank' /}</div>
            </td>
        </tr>
        <tr>
            <td class="name">No. Rekening Bank <span class="error">*</span></td>
            <td>
                <input type="text" name="kontrak.kontrak_norekening"
                       value="${flash.contains('kontrak.kontrak_norekening')?flash['kontrak.kontrak_norekening']:kontrakx?.kontrak_norekening}"
                       class="form-control  #{validate 'kontrak.kontrak_norekening'/}" />
                <div class="invalid-feedback">#{error 'kontrak.kontrak_norekening' /}</div>
            </td>
        </tr>
        <tr>
            <td class="name">Nama Pemilik Rekening<span class="error">*</span></td>
            <td >
                <input type="text" class="form-control  #{validate 'kontrak.kontrak_namapemilikrekening'/}" name="kontrak.kontrak_namapemilikrekening"
                       value="${flash.contains('kontrak.kontrak_namapemilikrekening')?flash['kontrak.kontrak_namapemilikrekening']:kontrakx?.kontrak_namapemilikrekening}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_namapemilikrekening' /}</div>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Informasi Pendukung</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px" class="name">Nilai Kontrak (Rp) <span class="error">*</span></td>
            <td>
                <div id="nilaiKontrakEdit">
                    #{if kontrakx?.kontrak_nilai == null}
                    <input type="hidden" id="nilaiKontrak" name="kontrak.kontrak_nilai"
                           value="${flash.contains('sppbj.harga_final')?flash['sppbj.harga_final']:sppbj?.harga_final?.formatDouble()}"
                           class="form-control  money"/>
                    <input type="text" id="nilaiKontrak_f"
                           value="${flash.contains('sppbj.harga_final')?flash['sppbj.harga_final']:sppbj?.harga_final?.formatDouble()}"
                           class="form-control  money #{validate 'kontrak.kontrak_nilai'/}" disabled/>
                    #{/if}
                    #{else}
                    <input type="hidden" id="nilaiKontrak" name="kontrak.kontrak_nilai"
                           value="${flash.contains('kontrak.kontrak_nilai')?flash['kontrak.kontrak_nilai']:kontrakx?.kontrak_nilai?.formatDouble()}"
                           class="form-control  money"/>
                    <input type="text" id="nilaiKontrak_f"
                           value="${flash.contains('kontrak.kontrak_nilai')?flash['kontrak.kontrak_nilai']:kontrakx?.kontrak_nilai?.formatDouble()}"
                           class="form-control  money #{validate 'kontrak.kontrak_nilai'/}" disabled/>
                    #{/else}
                    <div class="invalid-feedback">#{error 'kontrak.kontrak_nilai' /}</div><br />
                </div>
                <p><a href="javascript:void(0)" id="ubahnilaiKontrak" class="badge  badge-secondary">klik di sini</a>&nbsp;untuk memilih mengubah Harga Kontrak</p>
                <input type="hidden" value="false" id="ubahnilai" name="ubahnilai" />
            </td>
        </tr>
        <tr id="alasanUbahnilaikontrak" hidden>
            <td class="name">Alasan Perubahan Nilai Kontrak <span class="error">*</span></td>
            <td>
                <textarea id="alasanubah_kontrak_nilai" name="kontrak.alasanubah_kontrak_nilai" rows="5" cols="100" class="form-control">${flash.contains('kontrak.alasanubah_kontrak_nilai')?flash['kontrak.alasanubah_kontrak_nilai']:kontrakx?.alasanubah_kontrak_nilai}</textarea>
                <div class="invalid-feedback">#{error 'kontrak.alasanubah_kontrak_nilai' /}</div><br />
            </td>
        </tr>
        <tr>
            <td class="name">Jenis Kontrak </td>
            <td>
                ${pl?.getKontrakPembayaran()?.label}
            </td>
        </tr>
        <tr>
            <td class="name">Informasi Lainnya</td>
            <td>
                <textarea  id="keterangan" name="kontrak.kontrak_lingkup"  rows="5" cols="100" validate="required" class="form-control">${flash.contains('kontrak.kontrak_lingkup')?flash['kontrak.kontrak_lingkup']:kontrakx?.kontrak_lingkup}</textarea>
            </td>
        </tr>
        #{if sppbj!=null && kontrakx!=null}
        <tr>
            <td class="name">Dokumen Cetak Kontrak</td>
            <td>
                <div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
                    <i class="fa fa-plus-circle"></i>
                    <span>Upload</span>
                    <input id="fileupload" type="file" name="file" />
                </div>
                <div id="progress" class="progress" style="display: none;">
                    <div class="progress-bar progress-bar-success"></div>
                </div>
                <div id="alert-upload"></div>
                <input type="hidden" id="id_attacment2" name="kontrak.kontrak_id_attacment2" value="${kontrakx?.kontrak_id_attacment2}" />
                <table class="table table-sm table-striped"" id="files">
                <thead>
                <th>Nama File</th>
                <th>Tanggal Upload</th>
                <th>Aksi</th>
                </thead>
                <tbody>
                #{list items:kontrakx?.dokAttachment2, as:'dok'}
                <tr>
                    <td>#{download dok/}</td>
                    <td>${dok?.blb_date_time?.formatDateTime()}</td>
                    <td><a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dok.blb_versi}">
                        <i class="fa fa-trash-o"></i></a>
                    </td>
                </tr>
                #{/list}
                </tbody>
    </table>
    </td>
    </tr>
    #{/if}
    <tr>
        <td colspan="3">
            <div class="bs-callout bs-callout-warning">
                - Ekstensi file hanya <strong><i> ${allowedExt} </i></strong> yang bisa di upload.
            </div>
        </td>
    </tr>
    #{if sppbj!=null}
    <tr>
        <td colspan="2">
            <button type="submit" name="simpan" class="btn btn-success confirm" title="Apakah anda yakin akan menyimpan Surat Perjanjian ini ?"> <i class="fa fa-save"></i> Simpan</button>
            #{if kontrakx!=null}
            <a href="@{kontrak.SuratPerjanjianPlCtr.cetakPerjanjianPl(kontrakx?.kontrak_id)}" class="btn btn-primary" target="_blank"><i class="fa fa-print"></i> Cetak</a>
            #{/if}
            <a href="@{kontrak.SppbjPlCtr.listSppbjPl(pl?.lls_id)}" type="submit" name="simpan" class="btn btn-secondary">  Kembali</button>
        </td>
    </tr>
    #{/if}
    <tr>
        <td colspan="3">
            <div class="bs-callout bs-callout-warning">
                <span class="error">*</span> wajib isi.
            </div>
        </td>
    </tr>
    </table>
    #{/form}

</div>
#{set 'css_custom' }
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
<script type="text/javascript">
var kontrakNilaiOriginal = 0;
var kontrakNilaiUbahAlasanOriginal = "";
//karena di format util tidak ada fungsi format tanpa Rp dengan delimiter x.xxx.xxx,xx, sementara pake fungsi ini
$( document ).ready(function() {
    $("[name='kontrak.kontrak_nilai']").val($("[name='kontrak.kontrak_nilai']").val().replace("Rp ", ""));
    new AutoNumeric.multiple('.money', {digitGroupSeparator: '.', decimalCharacter: ','});
    kontrakNilaiOriginal = $("#nilaiKontrak_f").val();
    kontrakNilaiUbahAlasanOriginal = $("#alasanubah_kontrak_nilai").val();
    var tgl = '${todayDate}';
    $(".form-control.tgl").focus(function (ev) {
        var vval = $(this).val();
        if(vval == ""){
            $(this).val(tgl);
            $(this).keyup();
        }
    });

    $(".form-control.tgl").focusout(function (ev) {
        var vval = $(this).val();
        if(vval == ""){
            $(this).val(tgl);
            $(this).keyup();
        }
    });

    $('.fa.fa-calendar').click(function () {
        var top = $(this).parent().parent();
        top.find("input").val(tgl).keyup();
    });

    $('.fa.fa-calendar').click(function () {
        var top = $(this).parent().parent();
        top.find("input").val(tgl).keyup();
    });

    var alasan = "${flash.contains('kontrak.alasanubah_kontrak_nilai')?flash['kontrak.alasanubah_kontrak_nilai']:kontrakx?.alasanubah_kontrak_nilai}";
    if(alasan.trim().length > 1){
        $("#alasanUbahnilaikontrak").show();
        $("#alasanubah_kontrak_nilai").attr("readonly");
        $("#ubahnilai").val(true);
    }
});

$("[name='kontrak.kontrak_norekening']")
	.keypress(function (e) {
		if (e.which > 31  && (e.which < 48 || e.which > 57)) {
			return false;
		}
});

function formatCurrency(num) {
    num = num.toString().replace(/\$|\,/g, '');
    if (isNaN(num)) {
        num = "0";
    }

    sign = (num == (num = Math.abs(num)));
    num = Math.floor(num * 100 + 0.50000000001);
    cents = num % 100;
    num = Math.floor(num / 100).toString();

    if (cents < 100) {
        cents = "0" + cents;
    }

    for (var i = 0; i < Math.floor((num.length - (1+i)) / 3); i++) {
        num = num.substring(0, num.length - (4*i+3)) + '.' + num.substring(num.length - (4*i+3));
    }

    return (((sign) ? '' : '-') + num + ',' + cents);
}

#{if kontrakx == null}
	$(".nonkso").show();
    $(".kso").hide();
	$("#penyedia").val("Penyedia Badan Usaha Non KSO");
#{/if}
#{else}
    var tipePenyedia = "${flash.contains('kontrak.kontrak_tipe_penyedia')?flash['kontrak.kontrak_tipe_penyedia']:kontrakx?.kontrak_tipe_penyedia}";
    if(tipePenyedia =='Penyedia Badan Usaha Non KSO'){
        $(".nonkso").show();
        $(".kso").hide();
    }else{
        $(".kso").show();
        $(".nonkso").hide();
    }
    *{	#{if kontrakx?.kontrak_tipe_penyedia=='Penyedia Badan Usaha Non KSO'} $(".nonkso").show(); #{/if}}*
    *{	#{else} $(".nonkso").hide(); #{/else}}*
    *{	#{if kontrakx?.kontrak_tipe_penyedia=='Penyedia Kemitraan/KSO'} $(".kso").show(); #{/if}}*
    *{	#{else} $(".kso").hide(); #{/else}}*
#{/else}

	$("#penyedia").on("change", function(){

		var tipe = $(this).val();
		if(tipe == 'Penyedia Kemitraan/KSO'){
			  $(".kso").show();
			  $(".nonkso").hide();
			  }
		else if(tipe == 'Penyedia Badan Usaha Non KSO'){
			  $(".nonkso").show();
			 $(".kso").hide();
			  }
		else {
	    $(".kso").hide();
	    $(".nonkso").hide();
	}
	});

	 $(document).on('click', '#fileupload', function(){
        var url = '@{kontrak.SuratPerjanjianPlCtr.uploadAttachment2(kontrakx?.kontrak_id)}';
        $('#fileupload').fileupload({
            url: url,
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
            done: function (e, data) {
                $('#progress').hide();
                if (data.result.success) {
                    $.each(data.result.files, function (index, file) {
                        var upload_date = file.upload_date;
                        var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
                                '<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
                                '<i class="fa fa-trash-o" ></i></a></td>';
                        $('#id_attacment2').val(file.id);
                        $('<tr/>').html(content).appendTo('#files');
                    });
                    $('#alert-upload').attr('class', 'alert alert-success').html('File berhasil diupload').show();
                } else {
                    $('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
                }
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg).show()
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

	$(document).on('click', '.removeDok', function(){
        var versi = $(this).attr('versi')
        var parent = $(this).parent()
        var source  = #{jsRoute @kontrak.SuratPerjanjianPlCtr.hapusAttachment2(kontrakx?.kontrak_id) /};
        $.ajax({
            type: 'POST',
            url: source.url(),
            data : {'versi': versi},
            success : function(){
                $('#alert-upload').attr('class', 'alert alert-success').html('File telah terhapus').show();
                parent.parent().remove()
            },
            error : function(){
                $('#alert-upload').attr('class', 'alert alert-danger').html('File tidak bisa dihapus').show();
            }
        })
    });
    $(document).on('click', '#ubahnilaiKontrak', function(){
        $("#alasanUbahnilaikontrak").show();
        if($("#nilaiKontrak_f").attr("disabled")){
            $("#nilaiKontrak_f").removeAttr("disabled");
            $("#ubahnilai").val(true);
            $("#alasanubah_kontrak_nilai").removeAttr("readonly");
        }else{
            $("#nilaiKontrak_f").attr("disabled", true);
            $("#ubahnilai").val(false);
            if(kontrakNilaiOriginal == $("#nilaiKontrak_f").val()){
                $("#alasanubah_kontrak_nilai").val(kontrakNilaiUbahAlasanOriginal);
                $("#nilaiKontrak_f").val(kontrakNilaiOriginal);
                $("#nilaiKontrak").val(kontrakNilaiOriginal);
            }
            if($("#alasanubah_kontrak_nilai").val().trim().length <= 0){
                $("#alasanUbahnilaikontrak").hide();
            }else{
                $("#alasanubah_kontrak_nilai").attr("readonly","readonly");
            }
        }
    });
    $(document).on('change', '#nilaiKontrak_f', function(){
        var nilai = $("#nilaiKontrak_f").val();
        $("#nilaiKontrak").val(nilai);
    });

$(document).on('click', '[name="simpan"]', function(){
    var lingkup =  $('#ruangLingkupPekerjaan').trumbowyg('html');
    if(lingkup=='<br>'){
        lingkup='';
    }
    $('#ruangLingkupPekerjaan').val(lingkup);
});

$("#tambahTemb").click(function () {
    var ind = $('#tblTemb tr').length - 1
    var addTemb ='<tr><td><input type="text" class="form-control" name="kontrak.anggotakso[' + ind + '].nama_anggota" required ></td>' +
            '<td><a href="javascript:void(0)" class="removeBtn">&nbsp;<i class="fa fa-trash-o fa-lg" title="Hapus File" style="margin-top:10px;"></i></a></td></tr>'
    $("#tblTemb").append(addTemb)
});

$(document).on('click', '.removeBtn', function () {
    var dt = $(this);
    BootstrapDialog.confirm({
        title: 'Konfirmasi',
        message: 'Apakah Anda yakin akan menghapus data ini?',
        draggable : true,
        closable : true,
        callback : function(result){
            dt.parent().parent().remove();
        }
    });

});
</script>
#{/set}
